Skip to main content

Block an account

This endpoint is used to delete existing data and block new data from being stored on the specified account. This may be necessary to comply with certain rules, regulations, or standards. This endpoint also:

  • Immediately and permanently deletes most data from the account object. Certain information is retained that is necessary for MX to prevent the account from being re-added.
  • Prevents MX from creating or storing any additional data associated with the account, for example transactions, holdings, statements, and so on.
  • Immediately and permanently deletes all data associated with the account, for example transactions, holdings, statements, etc. This action is scoped to the member the account belongs to. This means that if the real world account is connected or reconnected via another member, the block will have no effect on that account. This action cannot be taken on accounts where is_manual is true. Objects deleted as a result of blocking an account will issue a webhook for that object with the action set to deleted. For example, account deleted, transaction deleted, and so on. There is no special webhook or action for blocking.
PUT
/users/{user_guid}/accounts/{account_guid}/block

Path Parameters

FieldRequiredType

account_guid

The unique id for an account.

Required
String

user_guid

The unique identifier for a user, beginning with the prefix USR-.

Required
String

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...